# 潭酒小程序基础组件库

## 介绍

本项目是一个基于潭酒【商家小程序】与【业务员小程序】抽离的UI组件库，提供了一系列可复用的UI组件，方便web开发人员快速构建页面。

## 安装

npm安装：

```
npm install @xtdev/xt-miniprogram-ui --save
```

yarn安装：

```
yarn add @xtdev/xt-miniprogram-ui
```

## 使用

import组件：

```
import { button } from "ui-lib";
```

使用组件：

```
<button>按钮</button>
```

## API 文档

### Button 按钮

| 属性    | 类型          | 默认值 | 说明                        |
| ------- | ------------- | ------ | --------------------------- |
| size    | string        |       | 尺寸，可选值为`small`、`large` |
| type    | string        |       | 类型，可选值为`primary`、`danger` |
| loading | boolean       | false  | 是否加载中                  |
| onClick | (event) => {} |        | 点击按钮的回调函数          |
 
### Input 输入框

| 属性    | 类型   | 默认值 | 说明         |
| ------- | ------ | ------ | ------------ |
| type    | string | text   | 输入框类型   |
| size    | string |        | 尺寸         |
| prefix  | node   |        | 前缀图标节点 |
| suffix  | node   |        | 后缀图标节点 |
| onChange| (event) => {} |        | 输入框值改变时的回调函数          |