// components/v-tab/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
      // 搜索框样式，是否是圆的，默认为方
      isCircle: {
        type: Boolean,
        value: true
      },
      // 是否展示右侧更多按钮
      showMore: {
        type: Boolean,
        value: false
      },
      list: {
        type: Array,
        value: [
          {
            name: '',
            show: true
          }
        ]
      },
      index: {
        type: Number,
        value: 0
      },
      placeholder: {
        type: String,
        value: "请输入内容"
      },
      // 是否自动聚焦
      isFocus: {
        type: Boolean,
        value: false
      },
      value: {
        type: String,
        value: ''
      },
      // 是否远程搜索，如果为true。点击输入框将只执行onFocus指令。适用于跳转新页面搜索场景
      remote: {
        type: Boolean,
        value: false
      },
      rightBtnText: {
        type: String,
        value: '搜索'
      },
      extendType: {
        type: Number,
        value: 1
      }
    },
  
    /**
     * 组件的初始数据
     */
    data: {
      isActive: false,
      // 输入框的输入值
      inputVal: ''
    },
  
    /**
     * 组件的方法列表
     */
    methods: {
      onFocus() {
        if (!this.data.remote) {
          this.setData({
            isActive: true
          });
        }
        this.triggerEvent('onFocus');
      },
      onBlur() {
        this.setData({
          isActive: false
        });
        this.triggerEvent('onBlur');
      },
      onInput(e) {
        this.setData({
          inputVal: e.detail.value
        });
        this.triggerEvent('onInput', e.detail.value);
      },
      clearInpVal() {
        this.setData({
          inputVal: ''
        });
        if (!this.data.isActive) {
          this.triggerEvent('onClear');
        }
      },
      onSearch() {
        console.log('输入值value', this.data.inputVal);
        this.triggerEvent('onSearch', this.data.inputVal);
      },
      onSelect(e) {
        const val = e.currentTarget.dataset.value;
        if (val == 'receive') {
          wx.navigateTo({
            url: `/packageD/pages/searchPoint/index?type=${this.properties.extendType === 1 ? 'agent' : 'cigarette'}`
          });
        } else {
          wx.navigateTo({
            url: `/packageD/pages/deletePoint/index?status=remove&type=${this.properties.extendType === 1 ? 'agent' : 'cigarette'}`
          });
        }
        this.selectComponent('#item').toggle();
      }
    },
    observers: {
      value(val) {
        this.setData({
          inputVal: val
        });
      }
    }
  });
  